var filters = {
    getPrice(val) {
        return (val / 100).toFixed(2);
    },

    // 获得快递公司
    getDeliveryType(val){
        var str = '';
        val = Number(val);
        switch (val) {
            case 3:
            case 9:
            case 10:
            case 100:
                str = '未知';
                break;
            case 1:
                str = '宅急送';
                break;
            case 4:
                str = '国际e邮宝';
                break;
            case 5:
                str = 'EMS';
                break;
            case 6:
                str = '申通快递';
                break;
            case 7:
                str = '顺丰速运';
                break;
            case 8:
                str = '全一快递';
                break;
                case 11:
                str = '圆通速递';
                break;
            case 12:
                str = '邮政快递包裹';
                break;
                case 13:
                str = '中通快递';
                break;
            case 14:
                str = '韵达速递';
                break;
            case 15:
                str = '京东快递';
                break;
            case 16:
                str = '百世快递';
                break;
            default:
                str = '未知';
                break;
        }
        return str;
    },

    // 40待发货 140待收货 50、70、150已完成
    getOrderStatus(val){
       
        val = Number(val);
        var str = '';
        switch(val){
            case 40:
                str = '待发货';
                break;
            case 140:
                str = '待收货';
                break;
            case 50:
            case 70:
            case 150:
                str = '已完成';
            break;
            default:
                str = '未知';

        }
        return str;
    }
}

export default {
    filters: filters
}